package com.mycompany.commerce.project.contentmanagement;

import com.ibm.commerce.contentmanagement.service.ContentManagementResourceManagerImpl;
import com.mycompany.commerce.project.facade.datatypes.ProjectCollectionIdentifierType;
import com.mycompany.commerce.project.facade.datatypes.ProjectCollectionType;
import com.mycompany.commerce.project.facade.datatypes.ProjectFactory;
/**
 * 
 * This class extends ContentManagementResourceManagerImpl to handle undo for
 * Recipe collection object. Since there is no special logic to handle, it relies on the 
 * default logic to handle undo for Recipe collection objects. It only overrides necessary
 * methods.
 */
public class ProjectCollectionContentmanagementResourcemanagerImpl extends
		ContentManagementResourceManagerImpl {
	
	/**
	 * The path contains the noun
	 */
	private static final String NOUN_PATH = "com.mycompany.commerce.project.facade.datatypes";
	
	/**
	 * The component id for this noun
	 */
	protected static final String COMPONENT_ID = "com.mycompany.commerce.project";
	
	/**
	 * The object represents this noun
	 */
	private Object iObjectNoun;

	/**
	 * Returns the component id
	 */
	@Override
	protected String getComponentId() {
		return COMPONENT_ID;
	}

	/**
	 * Creates a skeleton noun with the only unique ID is populated.
	 * 
	 * @return the object noun
	 */
	@Override
	protected Object getObjectNoun() {
		if (iObjectNoun == null) {
			ProjectCollectionType iProjectCollection = null; 
			iProjectCollection = ProjectFactory.eINSTANCE.createProjectCollectionType();
			ProjectCollectionIdentifierType iProjectCollectionIdentifier = ProjectFactory.eINSTANCE.createProjectCollectionIdentifierType();
			iProjectCollectionIdentifier.setUniqueID(getObjectId().toString());
			iProjectCollection.setProjectCollectionIdentifier(iProjectCollectionIdentifier);
			iObjectNoun = iProjectCollection;
		}
		return iObjectNoun;
	}

	/**
	 * Returns the path contains the object noun
	 */
	@Override
	protected String getObjectNounPath() {
		return NOUN_PATH;
	}

}
