package com.mycompany.commerce.project.contentmanagement;

import com.ibm.commerce.contentmanagement.service.ContentManagementResourceManagerImpl;
import com.mycompany.commerce.project.facade.datatypes.ProjectIdentifierType;
import com.mycompany.commerce.project.facade.datatypes.ProjectType;
import com.mycompany.commerce.project.facade.datatypes.ProjectFactory;
/**
 * 
 * This class extends ContentManagementResourceManagerImpl to handle undo for
 * Recipes object. Since there is no special logic to handle, it relies on the 
 * default logic to handle undo for Recipe objects. It only overrides necessary
 * methods.
 */
public class ProjectContentmanagementResourcemanagerImpl extends
		ContentManagementResourceManagerImpl {
	
	/**
	 * The path contains the noun
	 */
	private static final String NOUN_PATH = "com.mycompany.commerce.project.facade.datatypes";
	
	/**
	 * The component id for this noun
	 */
	protected static final String COMPONENT_ID = "com.mycompany.commerce.project";
	
	/**
	 * The object represents this noun
	 */
	private Object iObjectNoun;

	/**
	 * Returns the component id
	 */
	@Override
	protected String getComponentId() {
		return COMPONENT_ID;
	}

	/**
	 * Creates a skeleton noun with the only unique ID is populated.
	 * 
	 * @return the object noun
	 */
	@Override
	protected Object getObjectNoun() {
		if (iObjectNoun == null) {
			ProjectType iProject = null; 
			iProject = ProjectFactory.eINSTANCE.createProjectType();
			ProjectIdentifierType iProjectIdentifier = ProjectFactory.eINSTANCE.createProjectIdentifierType();
			iProjectIdentifier.setUniqueID(getObjectId().toString());
			iProject.setProjectIdentifier(iProjectIdentifier);
			iObjectNoun = iProject;
		}
		return iObjectNoun;
	}

	/**
	 * Returns the path contains the object noun
	 */
	@Override
	protected String getObjectNounPath() {
		return NOUN_PATH;
	}

}
